View Issue Details

IDProjectCategoryView StatusLast Update
0003440ScribusImport / Exportpublic2006-12-27 22:21
Reporterthoth Assigned Tojghali  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
PlatformlinuxOSgentooOS Version2005.1
Product Version1.2.4.1 
Target VersionFixed in Version1.3.3.7cvs 
Summary0003440: SVG import does not handle <use> tags
DescriptionAt http://www.purplefrog.com/~thoth/guitar-hero/ you will find a large collection of .SVGs (ignore the PNGs). Each of these makes extensive use of the <use> tag to "recycle" content that is declared in the header. When I import one of these SVGs into scribus, any object that was created by <use> does not appear.
Steps To Reproduceimport one of the .SVGs from that web page, compare it to the PNG (or .SVG in a web browser with SVG support). Weep.
TagsNo tags attached.
Patch

Relationships

related to 0003774 closedjghali wrong svg export/import 
related to 0004950 closedfschmid Issues with Illustrator SVG 
child of 0002931 acknowledged Metabug: SVG 

Activities

jghali

2006-12-26 22:39

administrator   ~0014270

Basic support for <use> tag has now been added, enough for this kind of svg to import correctly, except text elements whose frames may be too small. But that's another already known issue...

Issue History

Date Modified Username Field Change
2006-03-15 22:55 thoth New Issue
2006-04-19 22:41 mhanski Relationship added related to 0002931
2006-04-20 11:08 plinnell Status new => confirmed
2006-05-09 17:36 christoph_s Relationship added related to 0003774
2006-05-17 18:28 christoph_s Relationship deleted related to 0002931
2006-05-17 18:34 christoph_s Relationship added child of 0002931
2006-12-21 11:51 jghali Relationship added related to 0004950
2006-12-26 22:39 jghali Status confirmed => resolved
2006-12-26 22:39 jghali Fixed in Version => 1.3.3.7cvs
2006-12-26 22:39 jghali Resolution open => fixed
2006-12-26 22:39 jghali Assigned To => jghali
2006-12-26 22:39 jghali Note Added: 0014270
2006-12-27 22:21 plinnell Status resolved => closed